ati 7750 works w/ 3.5 & ati-drivers, not 3.6/3.7 [Solved]

Issues Related to Hardware (Sound, Video, Printers, Scanners, Webcams, Touchpads, Keyboards, Sensors, Drives, GRUB, etc.)

Moderator: Moderators

ati 7750 works w/ 3.5 & ati-drivers, not 3.6/3.7 [Solved]

Postby anomaly65 » Thu Dec 06, 2012 21:42

Hi all,

up to date on all counts (via sabayon-weekly repository).

desktop effects (e.g. cube rotation) fails and display very sluggish/choppy when I attempt to install latest kernel 3.6 and same (but for 3.6 kernel) ati-drivers-12.10. running kernel sabayon-linux-3.5-r7 and matching ati-driver works fairly well, but none of the hardware is particularly out of date:

amd phenom x6 3.2Ghz, 16G ram
asrock 970 extreme 3 MB (9xx series chipset)
samsung 830 SSD boot drive (wow, cuts boot time and app launch times in half or more!)
several samsung HD's (all are in AHCI mode in EUFI bios) for home directories, etc.
all filesystems are xfs (bit of an xfs fan).
ATI 7750 video card, running dual monitors.
kde desktop environment, system installed from Sabayon_Linux_10_amd64_K.iso

Currently running through an repeat install of all packages "in bulk" that I can think of to get the issue running well, but any suggestions welcome of course.
Last edited by anomaly65 on Thu Dec 20, 2012 2:18, edited 2 times in total.
--
Use handrails on stairs. A nasty fall face first changes your point of view quickly, and mine permanently :-)
anomaly65
Advanced Hen
 
Posts: 295
Joined: Sat Nov 17, 2007 15:37

Re: ati 7750 works w/ 3.5 and ati-drivers, not 3.6

Postby anomaly65 » Wed Dec 19, 2012 22:14

Hi all,

Any way to reset the entire X and ATI configs to original/default? I've snagged /etc/ati from another system, no luck.

flgrx (x11-drivers/ati-drivers-12.10#3.5.0-sabayon) works flawlessly with the 3.5 kernel. Have tried in 3.6 and 3.7 kernel with matching driver set without any good luck. with the same version (for newer kernel) I get a black screen and frozen machine.

Any suggestions welcome!
thanks,
andy
--
Use handrails on stairs. A nasty fall face first changes your point of view quickly, and mine permanently :-)
anomaly65
Advanced Hen
 
Posts: 295
Joined: Sat Nov 17, 2007 15:37

Re: ati 7750 works w/ 3.5 & ati-drivers, not 3.6/3.7 [Solved

Postby anomaly65 » Thu Dec 20, 2012 2:27

Took some digging.

Had radeon (open source) interfering. Perhaps this may help others. Note that past the 12.6 ati-drivers in sabayon-weekly, only (roughly) ati chip/cards 5400 and newer appear to be supported.

The primary difference in kernel configs was a single line, perhaps the enable factor, but does not stop the fix described. My reading is time limited due to injury, but did manage to find this. Sorry no better explanation on this near-non-item.
Code: Select all
linux-3.5.0-sabayon/.config:# CONFIG_DRM_RADEON_KMS is not set
linux-3.7.0-sabayon/.config:CONFIG_DRM_RADEON_KMS=y


Changes made to repair/fix:
edit /etc/make.conf
change
Code: Select all
VIDEO_CARDS="fbdev vesa radeonhd"
to
VIDEO_CARDS="fbdev vesa fglrx"


Also blacklisted radeonhd in /etc/modprobe.d/blacklist
added
Code: Select all
blacklist radeon


Now ati-drivers (fglrx) work fine with 3.5-3.7 kernels. I have both 3.5 and 3.7 kernels installed.
Code: Select all
equo remove ati-drivers
equo install ati-drivers

Hope this helps others out:-) And thanks Sabayon community, You all ROCK!!!
--andy
--
Use handrails on stairs. A nasty fall face first changes your point of view quickly, and mine permanently :-)
anomaly65
Advanced Hen
 
Posts: 295
Joined: Sat Nov 17, 2007 15:37

Re: ati 7750 works w/ 3.5 & ati-drivers, not 3.6/3.7 [Solved

Postby debashish » Sun Dec 30, 2012 18:33

Am gonna give it a try...Sabayon 10 not working after the update...new to Sabayon. Let me see if this works! Would post back soon! :)

I tried the above it dint worked for me :( , am using Intel + Radeon Hybrid. Am still facing the same issue. Any help would be appreciated!

Thanks in advance!
debashish
Baby Hen
 
Posts: 3
Joined: Sun Dec 30, 2012 17:40

Re: ati 7750 works w/ 3.5 & ati-drivers, not 3.6/3.7 [Solved

Postby anomaly65 » Sun Dec 30, 2012 19:43

Had a slight incident myself, reinstalled the OS from scratch, best to follow the guidelines set in the notifications.....

I think the main requirement for kernel >3.5 and ati-drivers (proprietary) is to edit /etc/default/grub file

change
Code: Select all
GRUB_CMDLINE_LINUX=""


to

Code: Select all
 GRUB_CMDLINE_LINUX="nomodeset"
--
Use handrails on stairs. A nasty fall face first changes your point of view quickly, and mine permanently :-)
anomaly65
Advanced Hen
 
Posts: 295
Joined: Sat Nov 17, 2007 15:37

Re: ati 7750 works w/ 3.5 & ati-drivers, not 3.6/3.7 [Solved

Postby debashish » Sun Dec 30, 2012 20:18

I tried with

Code: Select all
GRUB_CMDLINE_LINUX="nomodeset"


but its still not working. Everytime I am ending with a segmentation fault.

Someone, please please help!!!! :?

Thanks in advance!!!!
debashish
Baby Hen
 
Posts: 3
Joined: Sun Dec 30, 2012 17:40

Re: ati 7750 works w/ 3.5 & ati-drivers, not 3.6/3.7 [Solved

Postby anomaly65 » Sun Dec 30, 2012 20:34

debashish, what video card do you have?

mine from "lspci|grep VGA" is:

Code: Select all
 01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Cape Verde PRO [Radeon HD 7700 Series]


segmentation fault, usually I've gotten those on systems that need memory reseated (connections need to be cleaned) or overclocked CPU's.
Code: Select all
equo install stress


on the running system then execute by the example and see if it remains stable on the running 3.5 kernel.

Cheers,
andy
--
Use handrails on stairs. A nasty fall face first changes your point of view quickly, and mine permanently :-)
anomaly65
Advanced Hen
 
Posts: 295
Joined: Sat Nov 17, 2007 15:37

Re: ati 7750 works w/ 3.5 & ati-drivers, not 3.6/3.7 [Solved

Postby debashish » Sun Dec 30, 2012 21:46

This is my video card config:

Code: Select all
lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Caicos [Radeon HD 6400M/7400M Series]


Thanks for the response!
debashish
Baby Hen
 
Posts: 3
Joined: Sun Dec 30, 2012 17:40

Re: ati 7750 works w/ 3.5 & ati-drivers, not 3.6/3.7 [Solved

Postby DanySK » Sun Jan 13, 2013 2:38

anomaly65 wrote:Also blacklisted radeonhd in /etc/modprobe.d/blacklist
added
Code: Select all
blacklist radeon



Thank you, that hint made me solve. I was thinking the radeon module was pulled in by xf86-video-ati, but I was actually having radeon interfering with fglrx.
User avatar
DanySK
Technological Hen
 
Posts: 354
Joined: Tue May 22, 2007 10:18
Location: Pennabilli - Cesena

Re: ati 7750 works w/ 3.5 & ati-drivers, not 3.6/3.7 [Solved

Postby amandus » Sun Jan 20, 2013 12:45

DanySK wrote:
anomaly65 wrote:Also blacklisted radeonhd in /etc/modprobe.d/blacklist
added
Code: Select all
blacklist radeon



Thank you, that hint made me solve. I was thinking the radeon module was pulled in by xf86-video-ati, but I was actually having radeon interfering with fglrx.


I got a black screen after upgrade to kernel 3.7 I have a ATI HD6310 card, do I only need to blacklist the radeon driver or must I do anything else?
amandus
Simple Hen
 
Posts: 50
Joined: Mon Oct 01, 2012 15:09
Location: Sweden

Next

Return to Hardware

Who is online

Users browsing this forum: No registered users and 1 guest